import request from '@/utils/request'

// 查询监控信息列表
export function listCameraInfo(query) {
  return request({
    url: '/business/cameraInfo/list',
    method: 'get',
    params: query
  })
}

// 查询监控信息详细
export function getCameraInfo(cameraId) {
  return request({
    url: '/business/cameraInfo/' + cameraId,
    method: 'get'
  })
}

// 新增监控信息
export function addCameraInfo(data) {
  return request({
    url: '/business/cameraInfo',
    method: 'post',
    data: data
  })
}

// 修改监控信息
export function updateCameraInfo(data) {
  return request({
    url: '/business/cameraInfo',
    method: 'put',
    data: data
  })
}

// 删除监控信息
export function delCameraInfo(cameraId) {
  return request({
    url: '/business/cameraInfo/' + cameraId,
    method: 'delete'
  })
}

// 导出监控信息
export function exportCameraInfo(query) {
  return request({
    url: '/business/cameraInfo/export',
    method: 'get',
    params: query
  })
}
